[PATCH] tests: do not make missing /usr/bin/time a failure
Mike Frysinger
vapier at gentoo.org
Tue Mar 1 00:57:50 UTC 2011
Just mark the test as a SKIP.
Signed-off-by: Mike Frysinger <vapier at gentoo.org>
---
tests/init.sh | 3 ++-
1 files changed, 2 insertions(+), 1 deletions(-)
diff --git a/tests/init.sh b/tests/init.sh
index a016b1c..5176d05 100644
--- a/tests/init.sh
+++ b/tests/init.sh
@@ -6,11 +6,12 @@ warn_() { printf >&2 '%s\n' "$*"; }
fail_() { warn_ "$ME_: failed test: $*"; exit 1; }
skip_() { warn_ "$ME_: skipped test: $*"; exit 77; }
framework_failure_() { warn_ "$ME_: framework failure: $*"; exit 99; }
+framework_skip_() { warn_ "$ME_: framework skip: $*"; exit 77; }
check_prog()
{
"$@" --version > /dev/null 2>&1 ||
- framework_failure_ "$* is not available"
+ framework_skip_ "$* is not available"
}
check_strace()
--
1.7.4.1
More information about the Strace-devel
mailing list